"""Mark Z Experiments

Experiments.
"""
import sys
import tkinter as tk

class ZGrid(tk.Frame):
    def __init__(self, master=None):
        super().__init__(master)
        self.master = master
        self.create_grid()

    def create_grid(self):
        #super().configure(padding=(50,50,50,50))
        super().config(bg='black')
        #print(super().config());

        labelfont = ('helvetica', 20, 'bold')
        bg_color = 'black'
        fg_color = 'yellow'
        self.lbl00 = tk.Label(self, text="r0c0", font=labelfont, bg=bg_color, fg=fg_color, height=2, width=10)
        self.lbl10 = tk.Label(self, text="r1c0", font=labelfont, bg=bg_color, fg=fg_color, height=2, width=10)
        self.lbl01 = tk.Label(self, text="r0c1", font=labelfont, bg=bg_color, fg=fg_color, height=2, width=10)
        self.lbl11 = tk.Label(self, text="r1c1", font=labelfont, bg=bg_color, fg=fg_color, height=2, width=10)
        self.lbl02 = tk.Label(self, text="r0c2", font=labelfont, bg=bg_color, fg=fg_color, height=2, width=10)
        self.lbl12 = tk.Label(self, text="r1c2", font=labelfont, bg=bg_color, fg=fg_color, height=2, width=10)

        # place the frame in the window
        self.grid(row=0, column=0)

        # place the labels in the frame
        self.lbl00.grid(row=0, column=0)
        self.lbl10.grid(row=1, column=0)
        self.lbl01.grid(row=0, column=1, columnspan=2)
        self.lbl11.grid(row=1, column=1)
        #self.lbl02.grid(row=0, column=2)
        self.lbl12.grid(row=1, column=2)
        
        # minimum sizes for rows and columns
        #self.columnconfigure((0,1,2), minsize=100)
        #self.rowconfigure((0,1), minsize=50)

if __name__ == '__main__':
    root = tk.Tk()
    grid = ZGrid(master=root)
    grid.mainloop()

